Bug 284501 - NetworkManager-0.6.5-7.fc7 has begun segfaulting
NetworkManager-0.6.5-7.fc7 has begun segfaulting
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: NetworkManager (Show other bugs)
7
x86_64 Linux
high Severity high
: ---
: ---
Assigned To: Dan Williams
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-09-10 07:39 EDT by Neal Becker
Modified: 2008-08-02 19:40 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-25 05:44:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Neal Becker 2007-09-10 07:39:57 EDT
Description of problem:

This seems to have started since recent NM update:

Sep  9 20:32:12 nbecker4 NetworkManager: <WARN>  nm_signal_handler(): Caught 
signal 11.  Generating backtrace... 
Sep  9 20:32:12 nbecker4 NetworkManager: ******************* START 
**********************************
Sep  9 20:32:13 nbecker4 NetworkManager: (no debugging symbols found)
Sep  9 20:32:13 nbecker4 NetworkManager: Using host libthread_db 
library "/lib64/libthread_db.so.1".
Sep  9 20:32:13 nbecker4 NetworkManager: (no debugging symbols found)
Sep  9 20:32:13 nbecker4 last message repeated 12 times
Sep  9 20:32:13 nbecker4 NetworkManager: [Thread debugging using libthread_db 
enabled]
Sep  9 20:32:13 nbecker4 NetworkManager: [New Thread 46912496397552 (LWP 
2448)]
Sep  9 20:32:13 nbecker4 NetworkManager: [New Thread 1115699536 (LWP 3045)]
Sep  9 20:32:13 nbecker4 NetworkManager: [New Thread 1105209680 (LWP 2561)]
Sep  9 20:32:13 nbecker4 NetworkManager: [New Thread 1094719824 (LWP 2553)]
Sep  9 20:32:13 nbecker4 NetworkManager: [New Thread 1084229968 (LWP 2539)]
Sep  9 20:32:13 nbecker4 NetworkManager: (no debugging symbols found)
Sep  9 20:32:13 nbecker4 last message repeated 4 times
Sep  9 20:32:13 nbecker4 NetworkManager: 0x0000003f9cac82e6 in poll () 
from /lib64/libc.so.6
Sep  9 20:32:13 nbecker4 NetworkManager: #0  0x0000003f9cac82e6 in poll () 
from /lib64/libc.so.6
Sep  9 20:32:13 nbecker4 NetworkManager: #1  0x00000035a282feae in g_str_equal 
() from /lib64/libglib-2.0.so.0
Sep  9 20:32:13 nbecker4 NetworkManager: #2  0x00000035a283036a in 
g_main_loop_run () from /lib64/libglib-2.0.so.0
Sep  9 20:32:13 nbecker4 NetworkManager: #3  0x0000000000421f11 in main ()
Sep  9 20:32:13 nbecker4 NetworkManager: 
Sep  9 20:32:13 nbecker4 NetworkManager: Thread 5 (Thread 1084229968 (LWP 
2539)):
Sep  9 20:32:13 nbecker4 NetworkManager: #0  0x0000003f9da0d97f in waitpid () 
from /lib64/libpthread.so.0
Sep  9 20:32:13 nbecker4 NetworkManager: No symbol table info available.
Sep  9 20:32:13 nbecker4 NetworkManager: 00000000425c61 in ?? ()
Sep  9 20:32:13 nbecker4 NetworkManager: No symbol table info available.
Sep  9 20:32:13 nbecker4 NetworkManager: #2  0x0000000000425d34 in ?? ()
Sep  9 20:32:13 nbecker4 NetworkManager: No symbol table info available.
Sep  9 20:32:13 nbecker4 NetworkManager: #3  <signal handler called>
Sep  9 20:32:13 nbecker4 NetworkManager: No symbol table info available.
Sep  9 20:32:13 nbecker4 NetworkManager: #4  0x0000003fa800f88c in 
nl_cache_delete () from /usr/lib64/libnl.so.1
Sep  9 20:32:13 nbecker4 NetworkManager: No symbol table info available.
Sep  9 20:32:13 nbecker4 NetworkManager: #5  0x0000003fa800f97b in 
nl_cache_destroy () from /usr/lib64/libnl.so.1
Sep  9 20:32:13 nbecker4 NetworkManager: No symbol table info available.
Sep  9 20:32:13 nbecker4 NetworkManager: #6  0x0000003fa800fa2b in 
nl_cache_update () from /usr/lib64/libnl.so.1
Sep  9 20:32:13 nbecker4 NetworkManager: No symbol table info available.
Sep  9 20:32:13 nbecker4 NetworkManager: #7  0x0000000000424bff in ?? ()
Sep  9 20:32:13 nbecker4 NetworkManager: No symbol table info available.
Sep  9 20:32:13 nbecker4 NetworkManager: #8  0x0000000000424cc6 in ?? ()
Sep  9 20:32:14 nbecker4 NetworkManager: No symbol table info available.
Sep  9 20:32:14 nbecker4 NetworkManager: #9  0x0000000000424e94 in 
nm_system_device_set_up_down_with_iface ()
Sep  9 20:32:14 nbecker4 NetworkManager: No symbol table info available.
Sep  9 20:32:14 nbecker4 NetworkManager: #10 0x000000000040eece in ?? ()
Sep  9 20:32:14 nbecker4 NetworkManager: No symbol table info available.
Sep  9 20:32:14 nbecker4 NetworkManager: #11 0x000000000040efed in 
nm_device_bring_up_wait ()
Sep  9 20:32:14 nbecker4 NetworkManager: No symbol table info available.
Sep  9 20:32:14 nbecker4 NetworkManager: #12 0x0000000000416103 in ?? ()
Sep  9 20:32:14 nbecker4 NetworkManager: No symbol table info available.
Sep  9 20:32:14 nbecker4 NetworkManager: #13 0x00000035a282d72b in g_str_equal 
() from /lib64/libglib-2.0.so.0
Sep  9 20:32:14 nbecker4 NetworkManager: No symbol table info available.
Sep  9 20:32:14 nbecker4 NetworkManager: #14 0x00000035a282d224 in 
g_main_context_dispatch ()
Sep  9 20:32:14 nbecker4 NetworkManager: rom /lib64/libglib-2.0.so.0
Sep  9 20:32:14 nbecker4 NetworkManager: No symbol table info available.
Sep  9 20:32:14 nbecker4 NetworkManager: #15 0x00000035a283005d in g_str_equal 
() from /lib64/libglib-2.0.so.0
Sep  9 20:32:14 nbecker4 NetworkManager: No symbol table info available.
Sep  9 20:32:14 nbecker4 NetworkManager: #16 0x00000035a283036a in 
g_main_loop_run () from /lib64/libglib-2.0.so.0
Sep  9 20:32:14 nbecker4 NetworkManager: o available.
Sep  9 20:32:14 nbecker4 NetworkManager: #17 0x0000000000411162 in ?? ()
Sep  9 20:32:14 nbecker4 NetworkManager: No symbol table info available.
Sep  9 20:32:14 nbecker4 NetworkManager: #18 0x00000035a2849354 in g_str_equal 
() from /lib64/libglib-2.0.so.0
Sep  9 20:32:14 nbecker4 NetworkManager: No symbol table info available.
Sep  9 20:32:14 nbecker4 NetworkManager: #19 0x0000003f9da062f7 in 
start_thread () from /lib64/libpthread.so.0
Sep  9 20:32:14 nbecker4 NetworkManager: bol table info available.
Sep  9 20:32:14 nbecker4 NetworkManager: #20 0x0000003f9cad0fbd in clone () 
from /lib64/libc.so.6
Sep  9 20:32:14 nbecker4 NetworkManager: No symbol table info available.
Sep  9 20:32:14 nbecker4 NetworkManager: 
Sep  9 20:32:14 nbecker4 NetworkManager: Thread 4 (Thread 1094719824 (LWP 
2553)):
Sep  9 20:32:14 nbecker4 NetworkManager: #0  0x0000003f9cac82e6 in poll () 
from /lib64/libc.so.6
Sep  9 20:32:14 nbecker4 NetworkManager: No symbol table info available.
Sep  9 20:32:14 nbecker4 NetworkManager: 0035a282feae in g_str_equal () 
from /lib64/libglib-2.0.so.0
Sep  9 20:32:14 nbecker4 NetworkManager: No symbol table info available.
Sep  9 20:32:14 nbecker4 NetworkManager: #2  0x00000035a283036a in 
g_main_loop_run () from /lib64/libglib-2.0.so.0
Sep  9 20:32:14 nbecker4 NetworkManager: No symbol table info available.
Sep  9 20:32:14 nbecker4 NetworkManager: #3  0x0000000000411162 in ?? ()
Sep  9 20:32:14 nbecker4 NetworkManager: lable.
Sep  9 20:32:14 nbecker4 NetworkManager: #4  0x00000035a2849354 in g_str_equal 
() from /lib64/libglib-2.0.so.0
Sep  9 20:32:14 nbecker4 NetworkManager: No symbol table info available.
Sep  9 20:32:14 nbecker4 NetworkManager: #5  0x0000003f9da062f7 in 
start_thread () from /lib64/libpthread.so.0
Sep  9 20:32:14 nbecker4 NetworkManager: No symbol table info available.
Sep  9 20:32:14 nbecker4 NetworkManager: #6  0x0000003f9cad0fbd in clone () 
from /lib64/libc.so.6
Sep  9 20:32:14 nbecker4 NetworkManager: No symbol table info available.
Sep  9 20:32:14 nbecker4 NetworkManager: 
Sep  9 20:32:14 nbecker4 NetworkManager: Thread 3 (Thread 1105209680 (LWP 
2561)):
Sep  9 20:32:14 nbecker4 NetworkManager: #0  0x0000003f9cac82e6 in poll () 
from /lib64/libc.so.6
Sep  9 20:32:14 nbecker4 NetworkManager: No symbol table info available.
Sep  9 20:32:14 nbecker4 NetworkManager: #1  0x00000035a282feae in g_str_equal 
() from /lib64/libglib-2.0.so.0
Sep  9 20:32:14 nbecker4 NetworkManager: No symbol table info available.
Sep  9 20:32:14 nbecker4 NetworkManager: #2  0x00000035a283036a in 
g_main_loop_run () from /lib64/libglib-2.0.so.0
Sep  9 20:32:14 nbecker4 NetworkManager: No symbol table info available.
Sep  9 20:32:14 nbecker4 NetworkManager: 0411162 in ?? ()
Sep  9 20:32:14 nbecker4 NetworkManager: No symbol table info available.
Sep  9 20:32:14 nbecker4 NetworkManager: #4  0x00000035a2849354 in g_str_equal 
() from /lib64/libglib-2.0.so.0
Sep  9 20:32:14 nbecker4 NetworkManager: No symbol table info available.
Sep  9 20:32:14 nbecker4 NetworkManager: #5  0x0000003f9da062f7 in 
start_thread () from /lib64/libpthread.so.0
Sep  9 20:32:14 nbecker4 NetworkManager: No symbol table info available.
Sep  9 20:32:14 nbecker4 NetworkManager:   0x0000003f9cad0fbd in clone () 
from /lib64/libc.so.6
Sep  9 20:32:14 nbecker4 NetworkManager: No symbol table info available.
Sep  9 20:32:14 nbecker4 NetworkManager: 
Sep  9 20:32:14 nbecker4 NetworkManager: Thread 2 (Thread 1115699536 (LWP 
3045)):
Sep  9 20:32:14 nbecker4 NetworkManager: #0  0x0000003f9da0cc0b in read () 
from /lib64/libpthread.so.0
Sep  9 20:32:14 nbecker4 NetworkManager: No symbol table info available.
Sep  9 20:32:14 nbecker4 NetworkManager: equal () from /lib64/libglib-2.0.so.0
Sep  9 20:32:14 nbecker4 NetworkManager: No symbol table info available.
Sep  9 20:32:14 nbecker4 NetworkManager: #2  0x00000035a2849354 in g_str_equal 
() from /lib64/libglib-2.0.so.0
Sep  9 20:32:14 nbecker4 NetworkManager: No symbol table info available.
Sep  9 20:32:14 nbecker4 NetworkManager: #3  0x0000003f9da062f7 in 
start_thread () from /lib64/libpthread.so.0
Sep  9 20:32:14 nbecker4 NetworkManager: le info available.
Sep  9 20:32:14 nbecker4 NetworkManager: #4  0x0000003f9cad0fbd in clone () 
from /lib64/libc.so.6
Sep  9 20:32:14 nbecker4 NetworkManager: No symbol table info available.
Sep  9 20:32:14 nbecker4 NetworkManager: 
Sep  9 20:32:14 nbecker4 NetworkManager: Thread 1 (Thread 46912496397552 (LWP 
2448)):
Sep  9 20:32:14 nbecker4 NetworkManager: #0  0x0000003f9cac82e6 in poll () 
from /lib64/libc.so.6
Sep  9 20:32:14 nbecker4 NetworkManager: No symbol table info available.
Sep  9 20:32:14 nbecker4 NetworkManager: 5a282feae in g_str_equal () 
from /lib64/libglib-2.0.so.0
Sep  9 20:32:14 nbecker4 NetworkManager: No symbol table info available.
Sep  9 20:32:14 nbecker4 NetworkManager: #2  0x00000035a283036a in 
g_main_loop_run () from /lib64/libglib-2.0.so.0
Sep  9 20:32:14 nbecker4 NetworkManager: No symbol table info available.
Sep  9 20:32:14 nbecker4 NetworkManager: #3  0x0000000000421f11 in main ()
Sep  9 20:32:14 nbecker4 NetworkManager: able.
Sep  9 20:32:14 nbecker4 NetworkManager: #0  0x0000003f9cac82e6 in poll () 
from /lib64/libc.so.6
Sep  9 20:32:14 nbecker4 NetworkManager: The program is running.  Quit anyway 
(and detach it)? (y or n) [answered Y; input not from terminal]
Sep  9 20:32:14 nbecker4 NetworkManager: ******************* END 
**********************************

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Dan Williams 2008-04-10 16:45:22 EDT
Can you try with the latest NM in f7-updates, 0.6.6?
Comment 2 Mike Chambers 2008-04-25 05:44:05 EDT
The information we've requested above is required in order
to review this problem report further and diagnose/fix the
issue if it is still present.  Since there have not been any
updates to the report since thirty (30) days or more since we
requested additional information, we're assuming the problem
is either no longer present in the current Fedora release, or
that there is no longer any interest in tracking the problem.

Setting status to "CLOSED INSUFFICIENT_DATA".  If you still
experience this problem after updating to our latest Fedora
release and can provide the information previously requested, 
please feel free to reopen the bug report.

Also, maint. for F7 will end 30 days after the GA of F9.

Note You need to log in before you can comment on or make changes to this bug.